%define		status		stable
%define		pearname	Horde_Kolab_Session
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - A package managing an active Kolab session
Name:		php-horde-Horde_Kolab_Session
Version:	1.1.1
Release:	1
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.horde.org/get/%{pearname}-%{version}.tgz
# Source0-md5:	3090237475cda57cfb76cf2e5d6d4882
URL:		https://github.com/horde/horde/tree/master/framework/Kolab_Session/
BuildRequires:	php-channel(pear.horde.org)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR >= 1:1.7.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php-channel(pear.horde.org)
Requires:	php-horde-Horde_Exception < 2.0.0
Requires:	php-pear >= 4:1.3.6-2
Suggests:	php-horde-Horde_Imap_Client
Suggests:	php-horde-Horde_Kolab_Server
Suggests:	php-horde-Horde_Log
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	 pear(Horde/Log.*)

%description
This package handles a Kolab session. It allows to authenticate
against LDAP and provides the users storage locations.

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p <lua>
%pear_package_print_optionalpackages

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%doc optional-packages.txt
%{php_pear_dir}/.registry/.channel.*/*.reg
%{php_pear_dir}/Horde/Kolab/Session.php
%{php_pear_dir}/Horde/Kolab/Session
%changelog
* Tue Jul 31 2012 Elan Ruusamäe <glen@delfi.ee> d9f0211
- updated to: 1.1.1

* Sat Aug 13 2011 Elan Ruusamäe <glen@pld-linux.org> 44c0688
- updated to: 1.1.0

* Tue May 03 2011 Elan Ruusamäe <glen@pld-linux.org> 7c44051
- use github url to package, as pear url is not specific

* Mon Apr 11 2011 Elan Ruusamäe <glen@pld-linux.org> 297a7dd
- Horde dir dep

* Mon Apr 11 2011 Elan Ruusamäe <glen@pld-linux.org> 6972d9d
- fixup horde dirs

* Sun Apr 10 2011 Elan Ruusamäe <glen@pld-linux.org> 856cf1f
- horde h4 pear packages

